lib_LTLIBRARIES += libds485-net.la

libds485_net_la_include_HEADERS = \
    include/digitalSTROM/ds485-socket-interface.h \
    include/digitalSTROM/ds485-socket-server.h \
    include/digitalSTROM/ds485n-packet.h

libds485_net_la_includedir = \
    $(includedir)/digitalSTROM

libds485_net_la_SOURCES = \
    include/digitalSTROM/ds485-socket-interface.h \
    include/digitalSTROM/ds485-socket-server.h \
    src/ds485-socket-server-clients.c \
    src/netlib_protocol_v1.c \
    src/ds485-socket-server-impl.h \
    src/ds485-socket-server-serve.c \
    src/init.c

libds485_net_la_CFLAGS = \
    -I$(top_srcdir)/src \
    -I$(top_srcdir)/base \
    -I$(top_srcdir)/include \
    @CFLAG_VISIBILITY@ \
    $(UTHASH_CFLAGS) \
    $(LIBDSUID_CFLAGS) \
    $(PTHREAD_CFLAGS)

libds485_net_la_LDFLAGS = \
    -version-info $(LIBDS485NET_LT_VERSION)

libds485_net_la_LIBADD = \
    $(LIBDSUID_LIBS) \
    $(PTHREAD_LIBS) \
    libbase.la
